# Note that this is NOT a relocatable package
%define	name	sudo
%define	ver		1.6.3
%define	rel		1
%define	prefix	/usr

Summary: Allows restricted root access for specified users.
Summary(ja): 桼դroot¤Ĥ
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/System
URL: http://www.courtesan.com/sudo/
Source: ftp://ftp.courtesan.com/pub/sudo/sudo-%{version}.tar.gz
Patch0: sudo-fixvi.patch
Patch1: sudo-1.6.3-sharedlink.patch
Serial: 2000032801
BuildRoot: /var/tmp/%{name}-root
Distribution: TurboLinux Japan

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

%description -l ja
sudo (superuser do) ȤϥƥԤѤǤ桼(ޤϥ롼)
ơĤ(⤷)Υޥɤ root ȤƼ¹ԤǤ褦Υޥ
ɤμ¹ΥȤĤĵĤȤߤǤsudo ϥޥɰñ̤ư
ޤ֤ǤϤޤ󡣰ʲεǽ¢Ƥޤۥñ
ǡΥޥɤ¹Բǽʥ桼¤뵡ǽƥޥɤˤĤƤ(ï
ˤ¹ԤκפĤ)˭٤ʥ󥰵ǽsudo ޥɤΥॢ
Ȼ֤ǽʣΥޥƱե(sudoers)ͭ뵡ǽ
ޤ

%changelog
* Mon Mar 27 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- updated to 1.6.3
- patch pathname of libpam

* Sat Mar 25 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- update to 1.6.2p3

* Fri Feb 4 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- Repackaged for TurboLinux Workstation 6.0J

* Sun Jan 9 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Sun Dec 19 1999 Taichi Nakamura <pdf30044@biglobe.ne.jp>
- update to 1.6.1

* Tue Dec 14 1999 Tenkou N. Hattori <tnh@kondara.org>
- change /etc/sudoers to noreplace.

* Tue Nov 30 1999 Tenkou N. Hattori <tnh@kondara.org>
- updated to 1.6
- be a NoSrc :-P

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.9p2 for Powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- sudo is configured with pam. There's no pam.d file. Oops.

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.59p1 for powertools 6.0

* Tue Oct 27 1998 Preston Brown <pbrown@redhat.com>
- fixed so it doesn't find /usr/bin/vi first, but instead /bin/vi (always installed)

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Mon May 18 1998 Michael Maher	<mike@redhat.com>
- updated SPEC file. 

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- updated to 1.5.4

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, no problems

* Fri Apr 25 1997 Michael Fulbright <msf@redhat.com>
- Fixed for 4.2 PowerTools 
- Still need to be pamified
- Still need to move stmp file to /var/log

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- First version for PowerCD.


%prep
%setup -q -n sudo-%{version}
%patch0 -p1 -b .fixvi
%patch1 -p1 -b .shared
/usr/bin/autoreconf

%build
if [ -f config.cache ] ; then
  \rm -f config.cache
fi

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-static" \
./configure \
	--prefix=/usr \
	--sbindir=/usr/sbin \
	--with-logging=syslog \
	--with-logfac=auth \
	--with-pam \
	--with-env-editor \
	--with-ignore-dot \
	--with-tty-tickets
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

sed -e 's/-o $(sudoers_uid) -g $(sudoers_gid) / /g' \
    -e 's/-o $(install_uid) -g $(install_gid) / /g' \
    -e 's/-m 4111//' -e 's/-m 0111//' Makefile > Makefile.$$

mv Makefile.$$ Makefile

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-static" \
make \
	prefix="$RPM_BUILD_ROOT/usr" \
	sbindir="$RPM_BUILD_ROOT/usr/sbin" \
	sysconfdir="$RPM_BUILD_ROOT/etc" \
	install
install -d -m 700 $RPM_BUILD_ROOT/var/run/sudo

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat > $RPM_BUILD_ROOT/etc/pam.d/sudo << EOF
#%PAM-1.0
auth       required	/lib/security/pam_pwdb.so shadow nullok
account    required	/lib/security/pam_pwdb.so
password   required	/lib/security/pam_cracklib.so
password   required	/lib/security/pam_pwdb.so shadow use_authtok nullok
session    required	/lib/security/pam_pwdb.so
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES FAQ HISTORY LICENSE README RUNSON TODO TROUBLESHOOTING *.pod
%config(noreplace) /etc/sudoers
%config /etc/pam.d/sudo
%attr(0700,root,root) %dir /var/run/sudo
%attr(4111,root,root) /usr/bin/sudo
%attr(0111,root,root) /usr/sbin/visudo
/usr/man/man5/sudoers.5
/usr/man/man8/sudo.8
/usr/man/man8/visudo.8 

